[youtubei.js](../../../README.md) / [Misc](../README.md) / TextRun

# Class: TextRun

## Implements

- `Run`

## Constructors

### new TextRun()

> **new TextRun**(`data`): [`TextRun`](TextRun.md)

#### Parameters

• **data**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)

#### Returns

[`TextRun`](TextRun.md)

#### Defined in

[src/parser/classes/misc/TextRun.ts:14](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L14)

## Properties

### attachment

> **attachment**: `any`

#### Defined in

[src/parser/classes/misc/TextRun.ts:12](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L12)

***

### bold

> **bold**: `boolean`

#### Defined in

[src/parser/classes/misc/TextRun.ts:8](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L8)

***

### deemphasize

> **deemphasize**: `boolean`

#### Defined in

[src/parser/classes/misc/TextRun.ts:11](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L11)

***

### endpoint?

> `optional` **endpoint**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

#### Defined in

[src/parser/classes/misc/TextRun.ts:7](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L7)

***

### italics

> **italics**: `boolean`

#### Defined in

[src/parser/classes/misc/TextRun.ts:9](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L9)

***

### strikethrough

> **strikethrough**: `boolean`

#### Defined in

[src/parser/classes/misc/TextRun.ts:10](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L10)

***

### text

> **text**: `string`

#### Implementation of

`Run.text`

#### Defined in

[src/parser/classes/misc/TextRun.ts:6](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L6)

## Methods

### toHTML()

> **toHTML**(): `string`

#### Returns

`string`

#### Implementation of

`Run.toHTML`

#### Defined in

[src/parser/classes/misc/TextRun.ts:32](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L32)

***

### toString()

> **toString**(): `string`

#### Returns

`string`

#### Implementation of

`Run.toString`

#### Defined in

[src/parser/classes/misc/TextRun.ts:28](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/TextRun.ts#L28)
